package com.zd.laboratory.domain.vo;

import com.zd.common.core.web.domain.BaseEntity;

import java.util.Date;

public class LabCheckOptionStatisticsVo extends BaseEntity {

    /**
     * 类型 1 校级，2 院级
     */
    private Integer type;
    /**
     * 隐患类型ID
     */
    private Long optionId;
    /**
     * 隐患类型 - 检查项顶级名称
     */
    private String optionName;
    /**
     * 实验室ID
     */
    private Long subId;
    /**
     * 实验室名称
     */
    private String subName;
    /**
     * 实验室所属院系ID
     */
    private Long deptId;
    /**
     * 实验室所属院系名称
     */
    private String deptName;
    /**
     * 安全分类名称
     */
    private String typeName;
    /**
     * 安全分级名称
     */
    private String levelName;
    /**
     * 数量
     */
    private Integer count;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getOptionName() {
        return optionName;
    }

    public void setOptionName(String optionName) {
        this.optionName = optionName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    @Override
    public Long getDeptId() {
        return deptId;
    }

    @Override
    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getOptionId() {
        return optionId;
    }

    public void setOptionId(Long optionId) {
        this.optionId = optionId;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }
}
